Bug 11002 - rh 6.2 fails to compile xfree86 4.0
rh 6.2 fails to compile xfree86 4.0
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2000-04-23 11:06 EDT by Anders Kaseorg
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-07-22 08:38:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Anders Kaseorg 2000-04-23 11:06:22 EDT
make locks up while compiling Xfree86 4.0 (from the .tar.gz sources), in
the 'making dependancies' phase. This is for egcs and make as supplied on
the RH 6.2. This bug is not present on RedHat 6.1 (with all the latest RH
6.1 updates applied).
Comment 1 Anonymous 2000-04-23 11:20:59 EDT
As in the INSTALL.TXT file the command running is "make World >& world.log".
Tha last few lines of the world.log file at the point of the make process
hanging are:-
make[3]: Leaving directory `/usr/src/xc/programs/xsetpointer'
depending in programs/xterm...
make[3]: Entering directory `/usr/src/xc/programs/xterm'
../../config/makedepend/makedepend  --   -I../.. -I../../exports/include
-I.    -DSCROLLBAR_RIGHT -DOPT_WIDE_CHARS  -- button.c charproc.c charsets.c
cursor.c             data.c doublechr.c fontutils.c
input.c                         menu.c misc.c print.c ptydata.c
screen.c scrollbar.c tabs.c util.c                     TekPrsTbl.c Tekproc.c
VTPrsTbl.c                main.c  keysym2ucs.c resize.c
Comment 2 Pierre Rochefort 2000-06-13 13:53:08 EDT
Has anyone done anything on this? It's not a major problem (as we can download 
binaries from the XFree website) but it's a little anooying not being able to 
compile our own version.

Comment 3 Jeff Johnson 2000-07-22 08:38:00 EDT
This looks more like a problem with makedepend than make. I'm changing the
component to
XFree86, because your problem is more likely to be resolved that way. FWIW, we
building XFree86-4.0 using make 3.79.1 successfully AFAIK, you can get src.rpm's
from Raw Hide.
Comment 4 Bernhard Rosenkraenzer 2001-01-24 14:33:38 EST
Makedepend doesn't like egcs.
This should be fixed in 4.0.2. (And it's definitely fixed by using a newer

Note You need to log in before you can comment on or make changes to this bug.